# SpinWaveTheory

[![Build Status](https://travis-ci.com/Quantum-Many-Body/SpinWaveTheory.jl.svg?branch=master)](https://travis-ci.com/Quantum-Many-Body/SpinWaveTheory.jl)
[![codecov](https://codecov.io/gh/Quantum-Many-Body/SpinWaveTheory.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/Quantum-Many-Body/SpinWaveTheory.jl)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://quantum-many-body.github.io/SpinWaveTheory.jl/dev/)
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://quantum-many-body.github.io/SpinWaveTheory.jl/stable/)
[![996.icu](https://img.shields.io/badge/link-996.icu-red.svg)](https://996.icu)
[![LICENSE](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
[![LICENSE](https://img.shields.io/badge/license-Anti%20996-blue.svg)](https://github.com/996icu/996.ICU/blob/master/LICENSE)
[![Code Style: Blue](https://img.shields.io/badge/code%20style-blue-4495d1.svg)](https://github.com/invenia/BlueStyle)
[![ColPrac: Contributor's Guide on Collaborative Practices for Community Packages](https://img.shields.io/badge/ColPrac-Contributor's%20Guide-blueviolet)](https://github.com/SciML/ColPrac)

## Introduction

Spin wave theory for magnetically ordered quantum lattice systems based on the [QuantumLattices](https://github.com/Quantum-Many-Body/QuantumLattices.jl) pack and the [TightBindingApproximation](https://github.com/Quantum-Many-Body/TightBindingApproximation.jl) pack.

## Installation

In Julia **v1.8+**, please type `]` in the REPL to use the package mode, then type this command:

```julia
pkg> add SpinWaveTheory
```

## Getting Started

[Examples of spin wave theory for magnetically ordered quantum lattice systems](@ref examples)

## Note

Due to the fast development of this package, releases with different minor version numbers are **not** guaranteed to be compatible with previous ones **before** the release of v1.0.0. Comments are welcomed in the issues.

## Contact
waltergu1989@gmail.com
